<template>
  <div>
    <v-navigation-drawer v-model="sidebar" app>
      <v-list dense>
        <v-list-item @click="goHome">
          <v-list-item-action>
            <v-icon style="color:black" class="mr-2">mdi-home</v-icon>
          </v-list-item-action>
          <v-list-item-content>หน้าหลัก</v-list-item-content>
        </v-list-item>
        <v-list-item @click="goKnowledge">
          <v-list-item-action>
            <v-icon style="color:black" class="mr-2">mdi-atom</v-icon>
          </v-list-item-action>
          <v-list-item-content>คลังความรู้</v-list-item-content>
        </v-list-item>
        <v-list-item @click="goNewsCom">
          <v-list-item-action>
            <v-icon style="color:black" class="mr-2">mdi-newspaper</v-icon>
          </v-list-item-action>
          <v-list-item-content>ข่าวสาร</v-list-item-content>
        </v-list-item>
        <v-list-item @click="goTravel">
          <v-list-item-action>
            <v-icon style="color:black" class="mr-2">mdi-island</v-icon>
          </v-list-item-action>
          <v-list-item-content>ท่องเที่ยว</v-list-item-content>
        </v-list-item>
        <v-list-item>
          <v-list-item-action @click="goTrain">
            <v-icon style="color:black" class="mr-2">mdi-file-document</v-icon>
          </v-list-item-action>
          <v-list-item-content>อบรม</v-list-item-content>
        </v-list-item>
        <v-list-item v-if="auth === ''"  @click="goLogin">
          <v-list-item-action>
            <v-icon style="color:black" class="mr-2">mdi-login</v-icon>
          </v-list-item-action>
          <v-list-item-content>ล็อคอิน</v-list-item-content>
        </v-list-item>
        <v-list-item  v-if="auth !== ''" @click="goLogin">
          <v-list-item-action v-if="imgIcon === ''" size="36">
            <v-icon >mdi-account-circle</v-icon>
          </v-list-item-action>
          <v-list-item-action v-if="imgIcon !== ''" size="36">
            <img :src="require(`@/assets/${imgIcon}`)" />
          </v-list-item-action>
          <v-list-item-content>{{name}}</v-list-item-content>
            <v-menu offset-y>
              <template v-slot:activator="{ on }">
                <v-btn flat fab icon small v-on="on" color="white">
                  <v-icon>mdi-chevron-down</v-icon>
                </v-btn>
              </template>
              <v-list>
                <v-list-item>
                  <v-list-item-title @click="logout" class="menu_item" color="green">
                    <v-icon class="mr-2" style="color: black">mdi-logout</v-icon>
                    <span>Logout</span>
                  </v-list-item-title>
                </v-list-item>
              </v-list>
            </v-menu>
          </v-list-item>
       </v-list>
     </v-navigation-drawer>
    <v-app-bar flat color="#ddd" height="100%">
      <v-layout wrap justify-end>
        <span class="hidden-sm-and-up">
          <v-app-bar-nav-icon @click="sidebar = !sidebar"></v-app-bar-nav-icon>
        </span>
        <v-toolbar-title>
            <router-link to="/" tag="span" style="cursor: pointer" @click="goHome">
                <img class="nav_img" src="@/assets/inetlogo.png" />
            </router-link>
        </v-toolbar-title>
        <v-spacer></v-spacer>
        <v-toolbar-items class="hidden-xs-only">
          <v-btn class="text-center font-weight-bold" @click="goHome" color="#ddd" elevation="0">
            <v-icon style="color:black" class="mr-2">mdi-home</v-icon>หน้าหลัก
          </v-btn>
          <v-btn class="text-center font-weight-bold " @click="goKnowledge" color="#ddd" elevation="0">
            <v-icon style="color:black" class="mr-2">mdi-atom</v-icon>คลังความรู้
          </v-btn>
          <v-btn class="text-center font-weight-bold " @click="goNewsCom" color="#ddd" elevation="0">
            <v-icon style="color:black" class="mr-2">mdi-newspaper</v-icon>ข่าวสาร
          </v-btn>
          <v-btn class="text-center font-weight-bold " @click="goTravel" color="#ddd" elevation="0">
            <v-icon style="color:black" class="mr-2">mdi-island</v-icon>ท่องเที่ยว
          </v-btn>
          <v-btn class="text-center font-weight-bold " @click="goTrain" color="#ddd" elevation="0">
            <v-icon style="color:black" class="mr-2">mdi-file-document</v-icon>อบรม
          </v-btn>
          <v-btn flat v-if="auth === ''" @click="goLogin" class="text-center font-weight-bold " color="#ddd" elevation="0">
                <v-icon  class="mr-2">mdi-account</v-icon><span >ล็อคอิน</span>
              </v-btn>
              <v-btn flat v-if="auth !== ''" class="text-center font-weight-bold _avatar" elevation="0">
                <v-avatar size="36" v-if="imgIcon === ''">
                  <v-icon >mdi-account-circle</v-icon>
                </v-avatar>

                <v-avatar v-if="imgIcon !== ''" size="36">
                  <img :src="require(`@/assets/${imgIcon}`)" />
                </v-avatar>
                <span >{{name}}</span>
                <v-menu offset-y>
                  <template v-slot:activator="{ on }">
                    <v-btn flat fab icon small v-on="on" color="white">
                      <v-icon>mdi-chevron-down</v-icon>
                    </v-btn>
                  </template>
                  <v-list>
                    <v-list-item>
                      <v-list-item-title @click="logout" class="menu_item" color="#ddd">
                        <v-icon class="mr-2" style="color: black">mdi-logout</v-icon>
                        <span>Logout</span>
                      </v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </v-btn>
        </v-toolbar-items>
      </v-layout>
    </v-app-bar>
  </div>
</template>
<script>
import { Decode } from '@/services'
export default {
  data () {
    return {
      sidebar: false,
      myInfo: '',
      menu_lists: [
        { name: 'หน้าหลัก', icon: 'mdi-home' },
        { name: 'คลังความรู้', icon: 'mdi-atom' },
        { name: 'ข่าวสาร', icon: 'mdi-newspaper' },
        { name: 'ท่องเที่ยว', icon: 'mdi-island' },
        { name: 'อบรม', icon: 'mdi-file-document' },
        { name: 'ติดต่อ', icon: 'mdi-contacts' }
      ],
      auth: '',
      name: '',
      lastname: '',
      imgIcon: ''
    }
  },
  async created () {
    this.auth = JSON.parse(JSON.parse(Decode.decode(this.$cookies.get('datdaInfo'))))

    if (this.auth !== '') {
      if (this.$cookies.isKey('datdaInfo')) {
        this.myInfo = JSON.parse(JSON.parse(Decode.decode(this.$cookies.get('datdaInfo'))))
      } else {
        this.myInfo = ''
      }
    } else {
      this.myInfo = ''
    }
    await this.getData()
  },
  methods: {
    goHome () {
      window.location = process.env.VUE_APP_WEB_CENTER
    },
    goNewsCom () {
      window.location = process.env.VUE_APP_WEB_CENTER + 'newscom'
    },
    goTravel () {
      window.location = process.env.VUE_APP_WEB_CENTER + 'traveldetail'
    },
    goKnowledge () {
      window.location = process.env.VUE_APP_WEB_CENTER + 'knowledge'
    },
    goTrain () {
      window.location = process.env.VUE_APP_WEB_CENTER + 'train'
    },
    goLogin () {
      window.location = process.env.VUE_APP_WEB_LOGIN
    },
    async getData () {
      console.log('myInfo', this.myInfo)
      this.name = this.myInfo.name
      this.lastname = this.myInfo.lastname
      this.imgIcon = this.myInfo.avatar
    },
    logout () {
      this.$cookies.remove('datdaInfo', '/', process.env.VUE_APP_WEB_DOMAIN)
      window.location = process.env.VUE_APP_WEB_CENTER
    }
  }

}
</script>
<style>
.nav_img {
  width: 154px;
  height: 70px;
}
.menu_navbar_page {
  width: 100%;
  height: 100%;
  margin: auto;
  cursor: pointer;
  color: black;
}
.menu_navbar_page:hover {
  width: 100%;
  height: 100%;
  margin: auto;
  cursor: pointer;
  color: white;
}
.menu_navbar_page_avatar {
  width:100%;
  height: 100%;
  margin: auto;
  cursor:pointer;
  color:white;
}
</style>
